Subject: Re: bug#10758: thumbs and image-dired to use built-in ImageMagick

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 02:14:32 -0700

Stefan Kangas <[email-masked]> writes:

> So perhaps this feature request is relevant anymore.  WDYT?

I now see that Glenn mentioned resizing as well, where using the
built-in image scaling seems very relevant.  We currently jump through
some unnecessary hoops in `image-dired-display-image' when we could just
resize the image in memory.

Is there any reason why `image-dired-display-image-mode' doesn't just
inherit `image-mode'?  That would avoid code duplication and also allow
us to immediately benefit from any improvements to `image-mode'.